/*------------------------------------------------------------------------------
 lib/djv_image/io_lut_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "io_lut.h"

namespace djv {
namespace image {
namespace io {
namespace lut
{

const List<Str> & label_spec()
{
  static const List<Str> data = List<Str>() << "Inferno" << "Kodak";
  return data;
}

const List<Str> & label_type()
{
  static const List<Str> data = List<Str>() << "Auto" << "U8" << "U10" <<
    "U16";
  return data;
}

const List<Str> & label_load_option()
{
  static const List<Str> data = List<Str>() << "Spec" << "Type";
  return data;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() << "Spec";
  return data;
}

}
}
}
}

