/*------------------------------------------------------------------------------
 lib/djv_image/io_ppm_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "io_ppm.h"

namespace djv {
namespace image {
namespace io {
namespace ppm
{

const List<Str> & label_type()
{
  static const List<Str> data = List<Str>() << "Auto" << "U1";
  return data;
}

const List<Str> & label_mode()
{
  static const List<Str> data = List<Str>() << "ASCII" << "Binary";
  return data;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() << "Type" << "Mode";
  return data;
}

}
}
}
}

