/*------------------------------------------------------------------------------
 lib/djv_ui/gl.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJV_DBG
#define _DBG "lib/djv_ui/gl.cxx"

#include "gl.h"

namespace djv {
namespace ui {
namespace gl
{

Widget::Widget() : Fl_Gl_Window(0, 0, 0, 0)
{
  Fl_Gl_Window::end();
  Fl_Gl_Window::mode(FL_RGB | FL_DOUBLE);
}

int Widget::handle(int in)
{
  switch (widget::Base::handle(in))
  {
    case -1: return 0;
    case 1: return 1;
  }
  return Fl_Gl_Window::handle(in);
}

void Widget::draw()
{
  Fl_Gl_Window::draw();
}

void Widget::geom(const Box2i & in)
{
  Fl_Gl_Window::resize(in.x, in.y, in.w, in.h);
  widget::Base::geom(in);
}

}
}
}
