/*------------------------------------------------------------------------------
 lib/djv_ui/stack_layout.h
 
 Stack Layout
 ------------

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_UI_STACK_LAYOUT_H
#define DJV_UI_STACK_LAYOUT_H

#include <djv_ui/layout.h>

namespace djv {
namespace ui {
namespace layout
{

//------------------------------------------------------------------------------
// Stack Layout

class Stack : public Layout
{
public:

  Stack(Item * parent = 0);
  virtual ~Stack() {}
  
  virtual void dirty();
  virtual void geom(const Box2i &);
  virtual const Box2i & geom() const { return Layout::geom(); }
};

}
}
}

#endif
