/*------------------------------------------------------------------------------
 lib/djv_ui/shuttle.h
 
 Shuttle Widget
 --------------

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_UI_SHUTTLE_H
#define DJV_UI_SHUTTLE_H

#include <djv_ui/widget.h>

namespace djv {
namespace ui {
namespace shuttle
{

//------------------------------------------------------------------------------
// Widget

class Widget : public widget::Widget
{
public:

  Widget(const Str & prefix = Str());
  virtual ~Widget() {}
  
  // Value.

  Signal<bool> sig;
  Signal<int> value_sig;

  // Widget.

  virtual int handle(int);
  virtual void draw();
  
  // Layout.

  virtual void dirty();
  
private:

  double _value;

  Fl_Image * _icon [8];
  bool _pressed;
  Vec2i _mouse_td;
};

}
}
}

#endif
