/*------------------------------------------------------------------------------
 plugin/djv_png/fnc.cxx
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "plugin.h"

extern "C"
{

void djv_png_error(png_structp in, png_const_charp msg)
{
  Png_Error * error = (Png_Error *)in->error_ptr;
  SNPRINTF(error->msg, str::cstr_size, "%s", msg);
  longjmp(in->jmpbuf, 1);
}

void djv_png_warning(png_structp in, png_const_charp msg)
{
  Png_Error * error = (Png_Error *)in->error_ptr;
  SNPRINTF(error->msg, str::cstr_size, "%s", msg);
  longjmp(in->jmpbuf, 1);
}

}

